com.informix.jdbc

## Class IfxRow

- java.lang.Object
- - com.informix.jdbc.IfxObject
  - - com.informix.jdbc.IfxComplex
    - - com.informix.jdbc.IfxRow

    public class IfxRow
    extends IfxComplex

### Field Summary

### Fields inherited from class com.informix.jdbc.IfxComplex

`CLROW_HDRSZ, CLROW_ROWSZ, IFX_CT_NULL, inputStream, OLDCLROW_HDRSZ, OLDCLROW_ROWSZ, outputStream`

### Fields inherited from class com.informix.jdbc.IfxObject

`conn, encodedLength, extendedID, extendedName, extendedOwner, ifxType, isNull, jdbcType, sourceType, trace, typeMap, used_in_update`

### Method Summary

Methods
`void` `fromObject(java.lang.Object data)` Initialize IfxObject with the value in obj.
`void` `fromObject(java.lang.Object data, java.lang.String type, IfxConnection conn)` Server version of fromObject since we often know the type we want
`java.lang.Object` `toObject()`

### Methods inherited from class com.informix.jdbc.IfxComplex

`clear, fromIfx, fromIfx, fromIfx, toIfx, toIfxTuple`

### Methods inherited from class com.informix.jdbc.IfxObject

`clearWarning, equals, fromAsciiStream, fromAsciiStream, fromBinaryStream, fromBinaryStream, fromBlob, fromBoolean, fromBoolean, fromByte, fromByte, fromBytes, fromCharacterStream, fromCharacterStream, fromClob, fromDate, fromDecimal, fromDecimal, fromDouble, fromDouble, fromFloat, fromFloat, fromIfx, fromIfx, fromIfx, fromIfx, fromInputStream, fromInputStream, fromInt, fromInt, fromIntervalDF, fromIntervalYM, fromLong, fromLong, fromNClob, fromObject, fromObject, fromRowId, fromShort, fromShort, fromSQLXML, fromString, fromString, fromTime, fromTimestamp, get_used_in_update, getEncodedLength, getWarning, isNull, nullify, set_used_in_update, setConnection, setExtendedTypeName, setIfxType, setTypeMap, toAsciiStream, toBinaryStream, toBlob, toBoolean, toByte, toBytes, toCharacterStream, toClob, toDate, toDecimal, toDouble, toFloat, toIfxBSONObject, toInputStream, toInt, toInterval, toIntervalDF, toIntervalYM, toLong, toNClob, toObject, toRowId, toShort, toSQLXML, toString, toTime, toTimestamp, toUnloadString, unnullify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### toObject

    public java.lang.Object toObject()
                              throws java.sql.SQLException

Overrides:
  `toObject` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### fromObject

    public void fromObject(java.lang.Object data)
                    throws java.sql.SQLException

Description copied from class: `IfxObject`
Initialize IfxObject with the value in obj. It does the data conversion automatically from the obj type to IfxObject type. For example: In IfxInteger(), fromObject(Object obj) { if (obj instanceof Short) fromShort((Short) obj); }

Overrides:
  `fromObject` in class `IfxObject`
Parameters:
  `data` - Convert the data value from obj to IfxObject
Throws:
  `java.sql.SQLException`

#### fromObject

    public void fromObject(java.lang.Object data,
                  java.lang.String type,
                  IfxConnection conn)
                    throws java.sql.SQLException

Server version of fromObject since we often know the type we want

Throws:
  `java.sql.SQLException`